Loading...
Searching...
No Matches
ranges::views::adjacent_filter_fn Struct Reference
Inheritance diagram for ranges::views::adjacent_filter_fn:

## Public Member Functions

template<typename Pred >
constexpr auto | operator() (Pred pred) const
Public Member Functions inherited from ranges::views::adjacent_filter_base_fn
template<typename Rng , typename Pred > requires detail::adjacent_filter_constraints<Rng, Pred>
constexpr adjacent_filter_view< all_t< Rng >, Pred > | operator() (Rng &&rng, Pred pred) const

## Related Symbols

(Note that these are not member symbols.)
constexpr adjacent_filter_fn | adjacent_filter {}